Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601329 - File->Open in GTK apps hangs often
File->Open in GTK apps hangs often
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 13:26 EDT by Nerijus Baliūnas
Modified: 2015-03-03 17:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2010-06-07 13:26:15 EDT
When "Open" or "Save As" GTK dialogs are opened, GTK applications hang very often, and I can see hundreds of such repeated messages:

(gedit:18473): GVFS-RemoteVolumeMonitor-WARNING **: invoking List() failed for type GProxyVolumeMonitorGdu: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

(gedit:18473): GVFS-RemoteVolumeMonitor-WARNING **: New owner :1.271190 for volume monitor org.gtk.Private.GduVolumeMonitor connected to the bus; seeding drives/volumes/mounts

(gedit:18473): GVFS-RemoteVolumeMonitor-WARNING **: invoking List() failed for type GProxyVolumeMonitorGdu: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

(gedit:18473): GVFS-RemoteVolumeMonitor-WARNING **: New owner :1.271192 for volume monitor org.gtk.Private.GduVolumeMonitor connected to the bus; seeding drives/volumes/mounts


At the same time in another console window, where another GTK app (M) is launched:

(M:5141): GVFS-RemoteVolumeMonitor-WARNING **: New owner :1.271188 for volume monitor org.gtk.Private.GduVolumeMonitor connected to the bus; seeding drives/volumes/mounts

(M:5141): GVFS-RemoteVolumeMonitor-WARNING **: invoking List() failed for type GProxyVolumeMonitorGdu: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

(M:5141): GVFS-RemoteVolumeMonitor-WARNING **: New owner :1.271190 for volume monitor org.gtk.Private.GduVolumeMonitor connected to the bus; seeding drives/volumes/mounts

(M:5141): GVFS-RemoteVolumeMonitor-WARNING **: invoking List() failed for type GProxyVolumeMonitorGdu: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)


It happens with a lot of apps - gedit, firefox, seamonkey, transmission, gimp. It could be that M (Mahogany mail client, a wxWidgets (wxGTK) app) is always running when it happens. Could it be a problem in M or wxWidgets?
Comment 1 Nerijus Baliūnas 2010-06-08 17:38:53 EDT
Now M was running, but wxWidgets was recompiled without --with-gnomevfs support. I tried to start nautilus, it did not appear, but firefox hung and 2 processes - dbus-daemon and udisks-daemon started to take ~25% CPU each. They stopped taking CPU when I killed firefox. I suspect I would see the same GVFS-RemoteVolumeMonitor-WARNING ** messages if I started nautilus and|or firefox from the console.
Comment 2 Bug Zapper 2011-06-02 07:42:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nerijus Baliūnas 2011-11-08 21:54:06 EST
I get this problem on another PC too. Just upgraded to F16, no M or wxWidgets.
Comment 4 Fedora End Of Life 2013-01-16 17:14:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 19:50:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Nerijus Baliūnas 2013-02-14 08:31:53 EST
Just FYI I found a workaround by removing the file /etc/dbus-1/system.d/org.freedesktop.UDisks.conf. Removable media automount doesn't work any more, but gvfs-gdu-volume-monitor is not started.

Note You need to log in before you can comment on or make changes to this bug.